| The Gaudi Framework v32r1 (f65d50dc)

Classes | Namespaces | Macros | Functions | Variables
Bootstrap.cpp File Reference
`#include <iostream>`
`#include "GaudiKernel/Bootstrap.h"`
`#include "GaudiKernel/System.h"`
`#include "GaudiKernel/IAlgorithm.h"`
`#include "GaudiKernel/IAppMgrUI.h"`
`#include "GaudiKernel/IClassManager.h"`
`#include "GaudiKernel/IInterface.h"`
`#include "GaudiKernel/IService.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/ObjectFactory.h"`
`#include "GaudiKernel/Service.h"`
`#include <Gaudi/Algorithm.h>`
`#include "GaudiKernel/IEventProcessor.h"`
`#include "GaudiKernel/IJobOptionsSvc.h"`
`#include "RVersion.h"`
Include dependency graph for Bootstrap.cpp:

Go to the source code of this file.

## Classes
class | Gaudi::BootSvcLocator
| A dual-stage boostrap mechanism is used to ensure an orderly startup of the ApplicationMgr. More...

## Namespaces
| Gaudi
| Header file for std:chrono::duration-based Counters.

## Macros
#define | PyHelper(x) py_bootstrap_##x
#define | PyFSMHelper(s)

## Functions
IInterface *PyHelper() | createApplicationMgr ()
IInterface *PyHelper() | getService (IInterface *app, char *name)
bool PyHelper() | setProperty (IInterface *p, char *name, char *value)
const char *PyHelper() | getProperty (IInterface *p, char *name)
bool PyHelper() | configureApp (IInterface *app)
bool PyHelper() | addPropertyToCatalogue (IInterface *p, char *comp, char *name, char *value)
int PyHelper() | ROOT_VERSION_CODE ()
| PyFSMHelper (configure) PyFSMHelper(initialize) PyFSMHelper(start) PyFSMHelper(stop) PyFSMHelper(final ize) PyFSMHelper(terminate) bool py_bootstrap_app_run(IInterface *i
return ep &&ep | executeRun (maxevt).isSuccess()

## Variables
int | maxevt

## Macro Definition Documentation

## ◆ PyFSMHelper

#define PyFSMHelper | ( |  | s | ) |

Value:
bool py_bootstrap_fsm_##s( IInterface* i ) { \
auto fsm = SmartIF<IStateful>( i ); \
return fsm && fsm->s().isSuccess(); \
}
SmartIF< IStateful >
IInterface
Definition of the basic interface.
Definition: IInterface.h:244
gaudirun.s
string s
Definition: gaudirun.py:316

Definition at line 251 of file Bootstrap.cpp.

## ◆ PyHelper

#define PyHelper | ( |  | x | ) | py_bootstrap_##x

Definition at line 227 of file Bootstrap.cpp.

## Function Documentation

## ◆ addPropertyToCatalogue()

bool PyHelper() addPropertyToCatalogue | ( | IInterface * | p,
|  | char * | comp,
|  | char * | name,
|  | char * | value
| ) |  |

Definition at line 245 of file Bootstrap.cpp.

245 {
246 auto jos = SmartIF<IJobOptionsSvc>( p );
247 return jos && jos->addPropertyToCatalogue( comp, Gaudi::Property<std::string>( name, value ) ).isSuccess();
248 }
SmartIF< IJobOptionsSvc >
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Gaudi::Property
Implementation of property with value of concrete type.
Definition: Property.h:352

## ◆ configureApp()

bool PyHelper() configureApp | ( | IInterface * | app | ) |

Definition at line 241 of file Bootstrap.cpp.

241 {
242 auto ui = SmartIF<IAppMgrUI>( app );
243 return ui && ui->configure().isSuccess();
244 }
SmartIF< IAppMgrUI >

## ◆ createApplicationMgr()

IInterface* PyHelper() createApplicationMgr | ( |  | ) |

Definition at line 228 of file Bootstrap.cpp.

228 { return Gaudi::createApplicationMgr(); }
Gaudi::createApplicationMgr
GAUDI_API IAppMgrUI * createApplicationMgr(const std::string &dllname, const std::string &factname)

## ◆ executeRun()

return ep&& ep executeRun | ( | maxevt |  | ) |

## ◆ getProperty()

const char* PyHelper() getProperty | ( | IInterface * | p,
|  | char * | name
| ) |  |

Definition at line 237 of file Bootstrap.cpp.

237 {
238 auto prop = SmartIF<IProperty>( p );
239 return prop ? prop->getProperty( name ).toString().c_str() : nullptr;
240 }
SmartIF< IProperty >
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## ◆ getService()

IInterface* PyHelper() getService | ( | IInterface * | app,
|  | char * | name
| ) |  |

Definition at line 229 of file Bootstrap.cpp.

229 {
230 auto svcloc = SmartIF<ISvcLocator>( app );
231 return svcloc ? svcloc->service<IInterface>( name ).get() : nullptr;
232 }
SmartIF< ISvcLocator >
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
IInterface
Definition of the basic interface.
Definition: IInterface.h:244
Gaudi::Functional::details::get
auto get(const Handle &handle, const Algo &, const EventContext &) -> decltype(details::deref(handle.get()))
Definition: FunctionalDetails.h:332

## ◆ PyFSMHelper()

PyFSMHelper | ( | configure |  | ) |
| final

## ◆ ROOT_VERSION_CODE()

int PyHelper() ROOT_VERSION_CODE | ( |  | ) |

Definition at line 249 of file Bootstrap.cpp.

249 { return ROOT_VERSION_CODE; }
ROOT_VERSION_CODE
int PyHelper() ROOT_VERSION_CODE()
Definition: Bootstrap.cpp:249

## ◆ setProperty()

bool PyHelper() setProperty | ( | IInterface * | p,
|  | char * | name,
|  | char * | value
| ) |  |

Definition at line 233 of file Bootstrap.cpp.

233 {
234 auto prop = SmartIF<IProperty>( p );
235 return prop && prop->setProperty( name, value ).isSuccess();
236 }
SmartIF< IProperty >
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41

## Variable Documentation

## ◆ maxevt

int maxevt

Initial value:
{
auto ep = SmartIF<IEventProcessor>( i )
SmartIF< IEventProcessor >

Definition at line 260 of file Bootstrap.cpp.